Subject: Re: 28.0.91; foobar
From: Rodrigo Morales <[email-masked]>
To: [email-masked]
Date: Thu, 24 Mar 2022 15:27:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Please, omit this bug report. I forgot to change the temporary title I had
initially written. I'll write another bug report with the same content. I'm
sorry. I'll make sure to check that in my next bug reports.

On Thu, 24 Mar 2022 at 15:29, Rodrigo Morales <[email-masked]>
wrote:

>
> Actions that triggered the bug
>
> 1. Evaluate (bounds-of-thing-at-point 'number) in a number.
>
> Current result
>
> "nil" is returned
>
> Expected result
>
> The boundaries of the number should be returned.
>
> Additional information
>
> First, some context: The following sexp (thing-at-point 'number) is able
> to get the number at point. For example, when the cursor is on any digit
> of the following number: 123, that sexp returns "123".
>
> One might think that the following sexp
> (bounds-of-thing-at-point 'number)
> returns the boundaries of the number at point. However, this doesn't
> happen because "number" is not a recognized value for the THING
> parameter in the function bounds-of-thing-at-point although "number" is
> a recognized parameter in parameter with the same name THING in
> thing-at-point.
>
> Note that both thing-at-point and bounds-of-thing-at-point belong to the
> same package: thingatpt.el
>
>
>
> In GNU Emacs 28.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.31,
> cairo version 1.17.4)
>  of 2022-02-09 built on r1
> Repository revision: d193801f59822554d28e497da146d982f5ab7995
> Repository branch: HEAD
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
> System Description: Arch Linux
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
> PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
> XIM XPM GTK3 ZLIB
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: ELisp/d
>
> Memory information:
> ((conses 16 2481934 503193)
>  (symbols 48 72076 68)
>  (strings 32 508545 225566)
>  (string-bytes 1 16589153)
>  (vectors 16 237418)
>  (vector-slots 8 4658610 497581)
>  (floats 8 9769 1332)
>  (intervals 56 137444 15400)
>  (buffers 992 137))
>